Package org.apache.sling.commons.crypto.jasypt.internal

# Class JasyptStandardPbeStringCryptoService

java.lang.Object
org.apache.sling.commons.crypto.jasypt.internal.JasyptStandardPbeStringCryptoService

All Implemented Interfaces:
  `CryptoService`

public final class JasyptStandardPbeStringCryptoService extends Object implements CryptoService
Service for encrypting messages and decrypting ciphertexts using Jasypt's `StandardPBEStringEncryptor`.

See Also:
  - `StandardPBEStringEncryptor`

## Constructor Summary

Constructors
Constructor
Description
`JasyptStandardPbeStringCryptoService()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`decrypt(@NotNull String ciphertext)`
Decrypts the given ciphertext.
`@NotNull String`
`encrypt(@NotNull String message)`
Encrypts the given message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JasyptStandardPbeStringCryptoService

public JasyptStandardPbeStringCryptoService()

## Method Details

### encrypt

@NotNull public @NotNull String encrypt(@NotNull @NotNull String message)
Description copied from interface: `CryptoService`
Encrypts the given message.

Specified by:
  `encrypt` in interface `CryptoService`
Parameters:
  `message` - The message to encrypt
Returns:
  The encrypted message, the ciphertext

### decrypt

@NotNull public @NotNull String decrypt(@NotNull @NotNull String ciphertext)
Description copied from interface: `CryptoService`
Decrypts the given ciphertext.

Specified by:
  `decrypt` in interface `CryptoService`
Parameters:
  `ciphertext` - The encrypted message, the ciphertext to decrypt
Returns:
  The decrypted message